Page MenuHomePhabricator

Improper default settings for grants
Closed, ResolvedPublic

Description

autoreview, torunblocked are two rights that are not in MediaWiki core. These two rights should be removed from the default settings.

Event Timeline

Nbdd0121 created this task.Apr 30 2016, 1:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2016, 1:22 AM
Aklapper changed the task status from Open to Stalled.Apr 30 2016, 2:26 PM

Hi @Nbdd0121, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem, please add a more complete description to this report and also explains where "grants" come into play.
Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

@Aklapper "Grants" is the new feature introduced in MediaWiki 1.27 (which is migrated from OAuth plugin), and in DefaultSettings.php, two rights, torunblock and autoreview are listed. I am saying that these two rights are not expected to be there. This is an improper implementation, so reproducing is easy: do a fresh installation and navigate to Special:ListGrants, and you will see these two rights are there.

Aklapper changed the task status from Stalled to Open.Apr 30 2016, 4:55 PM
Aklapper triaged this task as Normal priority.
Aklapper added a project: MW-1.27-release.

Thanks!

Change 290069 had a related patch set uploaded (by Paladox):
Remove these two rights autoreview and torunblocked from mediawiki

https://gerrit.wikimedia.org/r/290069

demon added a subscriber: demon.

This isn't really 1.27-specific, untagging.

This isn't really 1.27-specific, untagging.

This needs to be fixed before the release.

You're right, sorry.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptMay 31 2016, 8:09 PM

Change 293748 had a related patch set uploaded (by Chad):
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293748

Change 293749 had a related patch set uploaded (by Chad):
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293749

Change 293748 merged by jenkins-bot:
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293748

Change 293749 merged by jenkins-bot:
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293749

Change 293777 had a related patch set uploaded (by Chad):
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293777

Change 293794 had a related patch set uploaded (by Chad):
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293794

Change 293797 had a related patch set uploaded (by Chad):
Remove these two rights autoreview and torunblocked from mediawiki

https://gerrit.wikimedia.org/r/293797

Change 293777 merged by jenkins-bot:
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293777

Change 293794 merged by jenkins-bot:
Add new $wgGrantPermissions introduced in 1.27

https://gerrit.wikimedia.org/r/293794

Change 290069 merged by jenkins-bot:
Remove these two rights autoreview and torunblocked from mediawiki

https://gerrit.wikimedia.org/r/290069

Change 293797 merged by jenkins-bot:
Remove these two rights autoreview and torunblocked from mediawiki

https://gerrit.wikimedia.org/r/293797

demon closed this task as Resolved.Jun 10 2016, 7:44 PM
demon claimed this task.